# Apostl Galaxy Server

This docker file is designed to create an image for a galaxy server running the 
Pipeline for affinity proteomics - **APOSTL**. 

## Usage
To build the image clone the project using:

```sh
git clone <link to this repo>
```

afterwards you can build the docker image with the Dockerfile:

```sh
cd CLOUD-apostl-galaxy
docker build -t galaxy-apostl .
```

This will create a docker image that can be run, immediately. The image contains 
all libraries and R-packages that are needed for the APOSTL pipeline.
To run the server execute:

```sh
docker run -d -i -t -p 80:80 -p 8022:22  -v /home/ubuntu/galaxy_storage/:/export/ galaxy-apostl
```

this will mount the image and the galaxy website will be accessible on port
80 (localhost) and a sftp server will run on 8022.